module.exports = {

  entry: { // entry
    'app': './src/app.js'
  },

  css: { // css engine, string || array
    engine: ["css"]
  },

  build: {
    assetsSubDirectory: "static",
    publicPath: '' // should be your cdn path
  },

  html: { // html config
    template: {
      filename: 'index.html',
      path: './src/index.html'
    }
  },

  plugins: {
    npm: true
  },

  // spa || multiple
  mode: 'spa'
}
