const VueHook = require("flow-vue-hook")

module.exports = {

  entry: { // entry
    'app': './src/app.js'
  },

  build: {
    assetsSubDirectory: "static",
    publicPath: '' // should be your cdn path
  },

  css: {
    engine: 'css'  // css engine，string||array
  },

  // html config
  html: {
    template: {
      filename: 'index.html',
      path: './src/index.html'
    }
  },

  plugins: {
    npm: true
  },

  // vue/react/multiple/spa
  mode: 'vue',

  hooks: [new VueHook()]
}
