import Vue from 'vue'
import Vuex from 'vuex'
import actions from './actions'
import next from '../container/next/module'

Vue.use(Vuex)

export function createStore() {
  return new Vuex.Store({
    state: {},
    actions,
    modules: {
    	next
    }
  })
}
