const VueSSRHook = require("flow-vue-ssr-hook")

module.exports = {

  entry: {
    "client": './src/entry-client.js',
    "server": './src/entry-server.js'
  },

  css: {
    engine: 'css',  //css engine，string||array
  },

  // html config
  html: {
    template: {
      filename: 'index.html',
      path: './src/index.template.html'
    }
  },

  plugins: {
    npm: true
  },

  // vue/react/multiple/spa/ssr
  mode: 'ssr',

  hooks: [new VueSSRHook()]
}
